# $Revision: 1.12 $, $Date: 2004/05/07 01:09:24 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	PDFLib
Summary:	PDFLib Perl module - simpler and more OO interface to pdflib
Summary(pl):	Modu Perla PDFLib - prostszy i bardziej obiektowy interfejs do pdflib-a
Name:		perl-PDFLib
Version:	0.12
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/authors/id/M/MS/MSERGEANT/%{pnam}-%{version}.tar.gz
# Source0-md5:	49ba9d136cc83210d37e7f4763b064cc
BuildRequires:	pdflib-perl >= 4.0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PDFLib is a simpler, more OO interface to pdflib, available from
http://www.pdflib.com/. It makes creating PDFs from Perl fast, easy
and safe. Currently it supports text, images, graphics, and
getting/setting all parameters. It has builting support for several
paper sizes. It also takes care of starting/ending new pages, to try
and make sure that a valid PDF file is always created.

%description -l pl
PDFLib to prostszy, bardziej obiektowo zorientowany interfejs do
pdflib-a, dostpnego na http://www.pdflib.com/. Modu ten czyni
tworzenie PDF-w z Perla szybkim, atwnym i bezpiecznym. Aktualnie
obsuguje tekst, obrazki, grafik i odczytywanie/ustawianie wszystkich
parametrw. Ma wbudowan obsug kilku rozmiarw papieru. Modu dba
o rozpoczynanie/koczenie stron, prbuje te zapewni, aby zawsze
by tworzony poprawny PDF.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/PDFLib.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PDFLib.spec,v $
Revision 1.12  2004/05/07 01:09:24  ankry
- rel. 3

Revision 1.11  2004/05/06 18:20:50  ankry
- fixed perl-devel BR

Revision 1.10  2004/05/06 05:34:00  ankry
- cosmetics

Revision 1.9  2004/04/26 14:46:22  radek
- unified license information (greppable easier)

Revision 1.8  2004/04/22 20:41:10  agaran
- updated bconds to new style, noted that licence is 'same as perl itself'

Revision 1.7  2003/08/18 08:09:06  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/05/28 13:00:56  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.3  2003/03/01 20:22:18  radek
- should be ready for perl-5.8.0; release++

Revision 1.2  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.1  2002/08/04 00:56:25  qboosh
- new

